[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDetailDataLink.DetailDataSet

Detail dataset in Master-detail relation

## Declaration

Source position: db.pas line 1738

`public property TDetailDataLink.DetailDataSet : TDataSet read GetDetailDataSet;`

## Description

DetailDataset is the detail dataset in a master-detail relationship between 2 datasets. DetailDataset is always Nil in TDetailDatalink and is only filled in in descendent classes like TMasterDatalink. The master dataset is available through the regular TDataLink.DataSource property.

## See also

TDataset |  | Base class for records-based data-access
TMasterDatalink |  | Datalink for Master-Detail relationships between datasets.
TDataLink.DataSource |  | Datasource this datalink is connected to

Documentation generated on: Feb 26 2014